Doomsday Engine - Feature #1252

Integrate Hexen features into libcommon
2003-07-29 06:11 - bluelegs

Status: Progressed Start date: 2003-07-29
Priority: High % Done: 40%
Assignee:

Category: Redesign

Target version: Architecture

Description

Heretic and Hexen features in Doom would be really cool
and seeing as you're combining them all for your 2.0
release, i'm thinking that it would be really great if

we could use various features accross all 3 games (and
maybe you could even expand on them) . Some of these
features are but not limited to :

Hexen's phased lighting

Scrolling floors and water currents

Slippery floors (lce)

Wind

Multiple character selection (classes! would we be able
to make Doom:Team Fortress?)

Item inventory

Flying

Swinging doors

Environmental effects (blowing leaves and lightning etc
etc)

Labels: Gameplay

History

#1 - 2003-07-29 08:26 - chilvence
Logged In: YES
user_id=675595

ACS

#2 - 2003-08-01 10:20 - skyjake

(originally posted by anonymous SF.net user)
Logged In: NO

Yeah, there are a lot of neat things that could be added.
Destructable walls, collapsing ceilings, true rooms over rooms,
water, etc... Look at advanced (at least in this department)

2.5D games like Shadow Warrior, Blood, RR: Rides Again, Dark
Forces etc..... Lot's of neat features. Some could have been
done better though.

#3 - 2003-08-01 18:02 - bluelegs

Logged In: YES
user_id=811377

| don't know how i missed ACS i even have it written when i
press back, must have submitted the wrong one while changing
tabs ;p

#4 - 2013-10-20 21:38 - skyjake
- Tags set to libcommon, Hexen, Mod, ACS

- Subject changed from Use Heretic and Hexen features in Doom maps to Integrate Hexen features into libcommon
- Category set to Redesign

- Assignee changed from danij to Deng Team

- Priority changed from Normal to High

#5 - 2015-04-22 04:51 - danij

- Status changed from New to In Progress

#6 - 2015-05-03 19:26 - skyjake
- Assignee deleted (Deng Team)

#7 - 2016-07-05 23:57 - skyjake

- Status changed from In Progress to Progressed

#8 - 2016-08-09 10:48 - skyjake
- % Done changed from 0 to 40

#9 - 2019-11-29 21:24 - skyjake

- Target version set to Architecture
